return {
    "nvim-telescope/telescope.nvim", tag = "0.1.8",
    dependencies = { "nvim-lua/plenary.nvim", "nvim-tree/nvim-web-devicons" },
    opts = function()
        local builtin = require('telescope.builtin')
        vim.keymap.set('n', "<leader>ff", builtin.find_files, {desc = "[F]ind [F]iles"})
        vim.keymap.set('n', "<leader>fg", builtin.live_grep, {desc = "[F]ind [G]rep"})
        vim.keymap.set('n', "<leader>fb", builtin.buffers, {desc = "[F]ind [B]uffers"})
        vim.keymap.set('n', "<leader>fh", builtin.help_tags, {desc = "[F]ind [H]elp"})
        vim.keymap.set('n', "<leader>fd", builtin.diagnostics, {desc = "[F]ind [D]iagnostics"})
        vim.keymap.set('n', "<leader>fo", builtin.resume, {desc = "[F]ind [O]Resume"})
    end,

    -- keys = {
    --     { "<leader>ff", require("telescope.builtin").find_files, desc = "[F]ind [F]iles" },
    --     { "<leader>fg", require("telescope.builtin").live_grep, desc = "[F]ind [G]rep" },
    --     { "<leader>fb", require("telescope.builtin").buffers, desc = "[F]ind [B]uffers" },
    --     { "<leader>fh", require("telescope.builtin").help_tags, desc = "[F]ind [H]elp" },
    --     { "<leader>fd", require("telescope.builtin").diagnostics, desc = "[F]ind [D]iagnostics" },
    --     { "<leader>fo", require("telescope.builtin").resume, desc = "[F]ind [O]Resume" },
    --     {
    --       "<leader>fp",
    --       function() require("telescope.builtin").find_files({ cwd = require("lazy.core.config").options.root }) end,
    --       desc = "[F]ind [P]lugin file",
    --     },
    -- },
}
