return {
    "nvim-treesitter/nvim-treesitter",
    branch = 'master',
    lazy = false,
    build = ":TSUpdate",
    event = { "BufRead" },
    opts = {                     -- Das Plugin bietet noch diverse weitere Optionen.
        indent = { enable = true }, -- Automatische Einrückungen mit Tree-sitter
        highlight = { enable = true }, -- Das Syntax-Highlighting einschalten
        auto_install = true,     -- Highlighting-Daten automatisch installieren
    }
}
